Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# prototype

Perl 5 version 26.0 documentation
Go to top
Show recent pages
Recently read

# prototype

Perl functions A-Z | Perl functions by category | The 'perlfunc' manpage

- prototype FUNCTION

- prototype

  Returns the prototype of a function as a string (or undef if the function has no prototype). FUNCTION is a reference to, or the name of, the function whose prototype you want to retrieve. If FUNCTION is omitted, $_ is used.

  If FUNCTION is a string starting with `CORE::` , the rest is taken as a name for a Perl builtin. If the builtin's arguments cannot be adequately expressed by a prototype (such as system), prototype returns undef, because the builtin does not really behave like a Perl function. Otherwise, the string describing the equivalent prototype is returned.